curl --request POST \
--url 'https://api.stateset.com/api/v1/cycle-counts/{id}/counts' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"counts": [
{
"counted_quantity": "string",
"lot_id": null,
"sku": "string"
}
]
}'
{
"completed_at": null,
"counted_by": null,
"created_at": "string",
"id": "string",
"lines": [
{
"counted_quantity": null,
"expected_quantity": "string",
"id": "string",
"lot_id": null,
"sku": "string",
"variance": null
}
],
"location_id": null,
"scheduled_date": null,
"status": "string",
"updated_at": "string",
"warehouse_id": 1
}
Cycle count record counts
Cycle count record counts
POST
/
api
/
v1
/
cycle-counts
/
{id}
/
counts
curl --request POST \
--url 'https://api.stateset.com/api/v1/cycle-counts/{id}/counts' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"counts": [
{
"counted_quantity": "string",
"lot_id": null,
"sku": "string"
}
]
}'
{
"completed_at": null,
"counted_by": null,
"created_at": "string",
"id": "string",
"lines": [
{
"counted_quantity": null,
"expected_quantity": "string",
"id": "string",
"lot_id": null,
"sku": "string",
"variance": null
}
],
"location_id": null,
"scheduled_date": null,
"status": "string",
"updated_at": "string",
"warehouse_id": 1
}
Path parameters
string
required
Cycle count ID
Request body
RecordCycleCountRequest
RecordCycleCountLineRequest[]
required
Responses
CycleCountResponse
ErrorBody
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/cycle-counts/{id}/counts' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"counts": [
{
"counted_quantity": "string",
"lot_id": null,
"sku": "string"
}
]
}'
{
"completed_at": null,
"counted_by": null,
"created_at": "string",
"id": "string",
"lines": [
{
"counted_quantity": null,
"expected_quantity": "string",
"id": "string",
"lot_id": null,
"sku": "string",
"variance": null
}
],
"location_id": null,
"scheduled_date": null,
"status": "string",
"updated_at": "string",
"warehouse_id": 1
}
โI